<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
chdir("..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');

$group='"general"';
$query_comp=$ba->select("SELECT * FROM cas_channels");
while ($entry = $ba->fetch_array($query_comp)) {
    if ($entry['gr']!=$_GET['gr'])
	$group.=','.'"'.$entry['gr'].'"';
}

?>


<script type="text/javascript">
    $("#casform").validate({
                    
        rules: {
                        
            group: {
                required : true ,
                specChar: true,
                checkBlank: true,
                compareName: [<?php echo $group; ?>]
            },
            clip : {
                required : true
            },
            'channels[]' : {
                atLeastOnePort :true,
            }
        }
    }); 
                
    
                
    function hidec(){
        var configt=document.getElementById('configt');
        configt.style.display="none";
    }
    function show_config(){
        var configt=document.getElementById('configt');
        if (configt.style.display=="none"){
            configt.style.display="";
        }else{
            configt.style.display="none";
        }
    }
                
</script>
<?php


require_once "./includes/isgwtelnet.php";



//Ports von Line interface
function ports($ba, $gr,$lif) {
    $count=0;
    $query = $ba->select("select cas.port, cas_channels.* from cas, cas_channels where lif='$lif' and cas.port=cas_channels.port");
    while ($entry = $ba->fetch_array($query)) {
        $checked="";
        $disabled="";
        $port[]=$entry['cas.port'];
        if ($entry['cas_channels.gr'] == $gr) $checked="checked";
        elseif ($entry['cas_channels.gr'] != 'NULL') {
            $checked="checked"; 
            $disabled="disabled='true'";
        }
            
            if ($count++%5==0 || $port[count($port)-1]!=$port[count($port)-2]) {
                $count=1;
                $tab.="<div class='clear'></div>";
            }
            //Channels eines neuen Ports fangen an
            if ($port[count($port)-1]!=$port[count($port)-2]){
                $count=1;
                //Script zum check all
                $tab.= '<script type="text/javascript">'
                    .'$("#checkAll'.$port[count($port)-1].'").click(function () {'
                    .'$(":checkbox.channel'.$port[count($port)-1].'").prop("checked", this.checked);'
                    .'});</script>';
                $tab.="<div class='clear'>".PSTN_PORT_DIS.":".$port[count($port)-1]." <input type='checkbox' id='checkAll".$port[count($port)-1]."' >Check all</div>";
            }
            $tab .= "<div style='float:left;'><div style='float:left; width:12px;'>" . $entry['cas_channels.channel'] . "</div><input type='checkbox' class='channel".$port[count($port)-1]."' name='channels[]' $checked $disabled value='" . $entry['cas_channels.channel'] . "' ></div>";
    }
    return $tab;
}

function title($ba, $gr,$lif) {
    $query = $ba->select("select distinct type from analog where lif='$lif' union select distinct type from gsm where lif='1$lif' union select distinct type from isdn where lif='$lif' union select distinct type from cas where lif='$lif'");
    if (sqlite_num_rows($query) == 0) {
        $title = "<b>Li$lif()</b>";
    } else {
        while ($entry = $ba->fetch_array($query)) {
            $title = "<b>Li$lif(" . $entry['type'] . ")</b>";
        }
    }
    return $title;
}


function tones($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select tones from cas_channels where gr='" . $gr . "'");
        $tones = "";
        while ($entry = $ba->fetch_array($query)) {
            $tones = $entry['tones'];
        }
        exec('/bin/cat /usr/conf/isgw.tones | /bin/grep "^\[.*\]$" ', $ausgabe);
        $ret = "<select name='tones'>";
        foreach ($ausgabe as $value) {
            if ($value == $tones) {
                $ret.="<option value='" . $value . "' selected>" . $value . "</option>";
            } elseif ($value != "[general]") {
                $ret.="<option value='" . $value . "'>" . $value . "</option>";
            }
        }
        $ret.="</select>";
        return $ret;
    } else {
        exec('/bin/cat /usr/conf/isgw.tones | /bin/grep "^\[.*\]$" ', $ausgabe);
        $ret = "<select name='tones'>";
        foreach ($ausgabe as $value) {
            if ($value == "[de]") {
                $ret.="<option value='" . $value . "' selected>" . $value . "</option>";
            } elseif ($value != "[general]") {
                $ret.="<option value='" . $value . "'>" . $value . "</option>";
            }
        }
        $ret.="</select>";
        return $ret;
    }
}


function t1sigtype($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select t1sigtype from cas_channels where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            if ($entry['t1sigtype'] == "fxo_ks")
                return "<select name='t1sigtype'>
			<option value='fxo_ks' selected>fxo_ks</option>
			<option value='fxs_ks'>fxs_ks</option>
			</select>";
            if ($entry['t1sigtype'] == "fxs_ks")
                return "<select name='t1sigtype'>
			<option value='fxo_ks'>fxo_ks</option>
			<option value='fxs_ks' selected>fxs_ks</option>
			</select>";

            return "<select name='t1sigtype'>
			<option value='fxo_ks'>fxo_ks</option>
			<option value='fxs_ks'>fxs_ks</option>
			</select>";
        }
    }else {
        return "<select name='t1sigtype'>
			<option value='fxo_ks'>fxo_ks</option>
			<option value='fxs_ks'>fxs_ks</option>
			</select>";
    }
}
function e1sigtype($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select e1sigtype from cas_channels where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            if ($entry['e1sigtype'] == "mfcr2")
                return "<select name='e1sigtype'>
			<option value='mfcr2' selected>mfcr2</option>
			</select>";
            

            return "<select name='e1sigtype'>
			<option value='mfcr2'>mfcr2</option>
			</select>";
        }
    }else {
        return "<select name='e1sigtype'>
			<option value='mfcr2'>mfcr2</option>
			</select>";
    }
}

function interdigit_timeout_initial($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select interdigit_timeout_initial from cas_channels where gr='" . $gr . "'");
        $odt_empty_dad = "";
        while ($entry = $ba->fetch_array($query)) {
            $interdigit_timeout_initial = $entry['interdigit_timeout_initial'];
        }

        $ret = "<input name='interdigit_timeout_initial' id='interdigit_timeout_initial' value='" . $interdigit_timeout_initial . "'>";
        return $ret;
    } else {
        $ret = "<input name='interdigit_timeout_initial' id='interdigit_timeout_initial' value='15'>";
        return $ret;
    }
}

function clip($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select clip from cas_channels where gr='" . $gr . "'");
        $clip = "";
        while ($entry = $ba->fetch_array($query)) {
            $clip = $entry['clip'];
        }

        $ret = "<input name='clip' id='clip' value='" . $clip . "' maxlength='128'>";
        return $ret;
    } else {
        $ret = "<input name='clip' id='clip' maxlength='128'>";
        return $ret;
    }
}

function cnip($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select cnip from cas_channels where gr='" . $gr . "'");
        $cnip = "";
        while ($entry = $ba->fetch_array($query)) {
            $cnip = $entry['cnip'];
        }

        $ret = "<input name='cnip' id='cnip' value='" . $cnip . "' maxlength='128'>";
        return $ret;
    } else {
        $ret = "<input name='cnip' id='cnip' maxlength='128'>";
        return $ret;
    }
}

function interdigit_timeout($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select interdigit_timeout from cas_channels where gr='" . $gr . "'");
        $odt = "";
        while ($entry = $ba->fetch_array($query)) {
            $interdigit_timeout = $entry['interdigit_timeout'];
        }

        $ret = "<input name='interdigit_timeout' id='interdigit_timeout' value='" . $interdigit_timeout . "'>";
        return $ret;
    } else {
        $ret = "<input name='interdigit_timeout' id='interdigit_timeout' value='3'>";
        return $ret;
    }
}

function chansel($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select chansel from cas_channels where gr='" . $gr . "'");
        $ret = "<select name='chansel'>";
        while ($entry = $ba->fetch_array($query)) {
            ($entry['chansel'] == "standard") ? $ret.= "<option value='standard' selected>standard</option>" : $ret.= "<option value='standard'>standard</option>";
            ($entry['chansel'] == "random") ? $ret.= "<option value='random' selected>random</option>" : $ret.= "<option value='random'>random</option>";
            ($entry['chansel'] == "roundrobin") ? $ret.= "<option value='roundrobin' selected>roundrobin</option>" : $ret.= "<option value='roundrobin'>roundrobin</option>";
            $ret.="</select>";
            return $ret;
        }
    } else {
        return "<select name='chansel'>
			<option value='standard'>standard</option>
			<option value='random'>random</option>
			<option value='roundrobin'>roundrobin</option>
			</select>";
    }
}

function chansel_dir($ba, $gr) {
    $ret = "<select name='chansel_dir'>";
    if ($gr != "") {
        $query = $ba->select("select chansel_dir from cas_channels where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            ($entry['chansel_dir'] == "ascending") ? $ret.="<option value='ascending' selected>ascending</option>" : $ret.="<option value='ascending'>ascending</option>";
            ($entry['chansel_dir'] == "descending") ? $ret.="<option value='descending' selected>descending</option>" : $ret.="<option value='descending'>descending</option>";
            $ret.="</select>";
            return $ret;
        }
    } else {
        return "<select name='chansel_dir'>
			<option value='ascending'>ascending</option>
			<option value='descending'>descending</option>
			</select>";
    }
}

function dialtone_digits($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select dialtone_digits from cas_channels where gr='" . $gr . "'");
        $dialtone_digits = "";
        while ($entry = $ba->fetch_array($query)) {
            $dialtone_digits = $entry['dialtone_digits'];
        }

        $ret = "<input name='dialtone_digits' id='dialtone_digits' value='" . $dialtone_digits . "' maxlength='128'>";
        return $ret;
    } else {
        $ret = "<input name='dialtone_digits' id='dialtone_digits' maxlength='128' value='0'>";
        return $ret;
    }
}
function fxo_callerid_detection_timeout($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_callerid_detection_timeout from cas_channels where gr='" . $gr . "'");
        $fxo_callerid_detection_timeout = "";
        while ($entry = $ba->fetch_array($query)) {
            $fxo_callerid_detection_timeout = $entry['fxo_callerid_detection_timeout'];
        }

        $ret = "<input name='fxo_callerid_detection_timeout' id='fxo_callerid_detection_timeout' value='" . $fxo_callerid_detection_timeout . "' maxlength='128'>";
        return $ret;
    } else {
        $ret = "<input name='fxo_callerid_detection_timeout' id='fxo_callerid_detection_timeout' maxlength='128' value='5'>";
        return $ret;
    }
}

function fxo_wait_for_oad($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_wait_for_oad from cas_channels where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            if ($entry['fxo_wait_for_oad'] == "wait")
                return "<select name='fxo_wait_for_oad'>
			<option value='wait' selected>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
            if ($entry['fxo_wait_for_oad'] == "dontwait")
                return "<select name='fxo_wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait' selected>dontwait</option>
			</select>";

            return "<select name='fxo_wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
        }
    }else {
        return "<select name='fxo_wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
    }
}
function wait_for_oad($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select wait_for_oad from cas_channels where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            if ($entry['wait_for_oad'] == "wait")
                return "<select name='wait_for_oad'>
			<option value='wait' selected>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
            if ($entry['wait_for_oad'] == "dontwait")
                return "<select name='wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait' selected>dontwait</option>
			</select>";

            return "<select name='wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
        }
    }else {
        return "<select name='wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
    }
}

function fxo_call_ending_signal($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_call_ending_signal from cas_channels where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            $ret = "<fieldset>";
            $res = explode(",", $entry['fxo_call_ending_signal']);
            if (in_array("unobtainable", $res))
                $ret.=PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]' checked><br>";
            else
                $ret.=PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]'><br>";
            if (in_array("busy", $res))
                $ret.=PSTN_BUSY_TONE_DIS . "<span style='margin-left:42px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]' checked></span>";
            else
                $ret.=PSTN_BUSY_TONE_DIS . "<span style='margin-left:42px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]'></span>";
            $ret.="</fieldset>";
        }
        return $ret;
    }else {
        return "<fieldset>" . PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]' checked><br>" . PSTN_BUSY_TONE_DIS .
                "<span style='margin-left:42px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]'></span></fieldset>";
    }
}

function fxo_cid_detection_mode($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select distinct fxo_cid_detection_mode from cas_channels where gr='" . $gr . "'");
        $sel.="<select name='fxo_cid_detection_mode'>";
        while ($entry = $ba->fetch_array($query)) {
            ($entry['fxo_cid_detection_mode'] == "Bellcore") ? $sel.= "<option value='Bellcore' selected>Bellcore</option>" : $sel.= "<option value='Bellcore'>Bellcore</option>";
            ($entry['fxo_cid_detection_mode'] == "ETSI-DTMF") ? $sel.= "<option value='ETSI-DTMF' selected>ETSI-DTMF</option>" : $sel.= "<option value='ETSI-DTMF'>ETSI-DTMF</option>";
            ($entry['fxo_cid_detection_mode'] == "ETSI-DTMF-AR") ? $sel.= "<option value='ETSI-DTMF-AR' selected>ETSI-DTMF-AFTER-RINGING</option>" : $sel.= "<option value='ETSI-DTMF-AR'>ETSI-DTMF-AFTER-RINGING</option>";
        }
        $sel.="</select>";
        return $sel;
    } else {
        return "<select name='fxo_cid_detection_mode'>
		<option value='Bellcore'>Bellcore</option>
		<option value='ETSI-DTMF'>ETSI-DTMF</option><option value='ETSI-DTMF-AR'>ETSI-DTMF-AFTER-RINGING</option>
		</select>";
    }
}

function pcmlaw($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select distinct pcmlaw from cas_channels where gr='" . $gr . "'");
        $sel.="<select name='pcmlaw'>";
        while ($entry = $ba->fetch_array($query)) {
            ($entry['pcmlaw'] == "allaw") ? $sel.= "<option value='alaw' selected>alaw</option>" : $sel.= "<option value='alaw'>alaw</option>";
            ($entry['pcmlaw'] == "ulaw") ? $sel.= "<option value='ulaw' selected>ulaw</option>" : $sel.= "<option value='ulaw'>ulaw</option>";
        }
        $sel.="</select>";
        return $sel;
    } else {
        return "<select name='pcmlaw'>
		<option value='alaw'>alaw</option>
		<option value='ulaw'>ulaw</option>
		</select>";
    }
}

function overlap_dialing($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select overlap_dialing from cas_channels where gr='" . $gr . "'");
        $overlap_dialing = "";
        while ($entry = $ba->fetch_array($query)) {
            $overlap_dialing = $entry['overlap_dialing'];
        }
        if ($overlap_dialing == '1')
            $ret ="<input type='hidden' name='overlap_dialing' id='overlap_dialing'  value='0'>" 
                  . "<input type='checkbox' name='overlap_dialing' id='overlap_dialing'  value='1' checked>";
        else
            $ret = "<input type='hidden' name='overlap_dialing' id='overlap_dialing'  value='0'>"
                  . "<input type='checkbox' name='overlap_dialing' id='overlap_dialing' value='1'>";
        return $ret;
    }else {
        $ret = "<input type='hidden' name='overlap_dialing' id='overlap_dialing'  value='0'>"
                . "<input type='checkbox' name='overlap_dialing' id='overlap_dialing' value='1'>";
        return $ret;
    }
}


function showdefmc($config_values) {
    $isgw = new isgwtelnet();
    $result = $isgw->isgw_login();
    if ($result != false) {
        $dialplanc = $isgw->isgw_dialplanconfig();
        $zeilen = split("\n", $dialplanc);
        foreach ($zeilen as $zeile) {
            if (stripos($zeile, '[') === 0) {
                preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/", $zeile, $res);
                if (!in_array($res['name'], $config_values) && ($res['bez'] == "c" || $res['bez'] == "p" || $res['bez'] == "*"))
                    echo "<script>
                            var extra_tooltip=document.getElementById('extra_tooltip');
                            extra_tooltip.innerHTML=extra_tooltip.innerHTML+'<p>" . DIALPLAN_OPTION_DIS . "<b>&nbsp;" . $res['name'] . "</b><br>" . DIALPLAN_VALUES_DIS . "<b>&nbsp;&lt;" . $res['val'] . "&gt;</b><br>Default:<b>&nbsp;".$res['def']."</b><br><i>" . htmlspecialchars ($res['desc'],ENT_QUOTES) . "</i></p><br>';
			</script>";
            }
        }
        $ba = new beroAri();
        $query = $ba->select("select config from cas_channels where gr='" . $_GET['gr'] . "' group by gr");
        while ($entry = $ba->fetch_array($query)) {
            $config = $entry['config'];
        }
        if ($config != "") {
            $configs = split(',', $config);
            foreach ($configs as $value) {
                $key=explode('=',$value,2);
                if ($key[0] != "" && $key[1] != "" && !in_array($key[0], $config_values)) {
                    echo "<script>var addit_options=document.getElementById('addit_options');
                            	if (addit_options.innerHTML=='')
                                    addit_options.innerHTML='" . $key[0] . "=" . $key[1] . "';
				else
                                    addit_options.innerHTML=addit_options.innerHTML+'\\n" . $key[0] . "=" . $key[1] . "';</script>";
                } elseif ($key[0] != "" && $key[1] == "" && !in_array($key[0], $config_values)) {
                    echo "<script>var addit_options=document.getElementById('addit_options');
                                    if (addit_options.innerHTML=='')
                                        addit_options.innerHTML='" . $key[0] . "=';
                                    else
                                        addit_options.innerHTML=addit_options.innerHTML+'\\n" . $key[0] . "=';</script>";
                }
            }
        }
    }
}

function show_confadd($config_values) {
    $isgw = new isgwtelnet();
    $result = $isgw->isgw_login();
    if ($result != false) {

        $dialplanc = $isgw->isgw_dialplanconfig();
        $zeilen = split("\n", $dialplanc);
        foreach ($zeilen as $zeile) {
            if (stripos($zeile, '[') === 0) {
                preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/", $zeile, $res);
                if (!in_array($res['name'], $config_values) && ($res['bez'] == "c" || $res['bez'] == "p" || $res['bez'] == "*"))
                    echo "<script>
				var extra_tooltip=document.getElementById('extra_tooltip');
				extra_tooltip.innerHTML=extra_tooltip.innerHTML+'<p>" . DIALPLAN_OPTION_DIS . "<b>&nbsp;" . $res['name'] . "</b><br>" . DIALPLAN_VALUES_DIS . "<b>&nbsp;&lt;" . $res['val'] . "&gt;</b><br>Default:<b>&nbsp;".$res['def']."</b><br><i>" . htmlspecialchars ($res['desc'],ENT_QUOTES) . "</i></p><br>';
				var addit_options=document.getElementById('addit_options');
				if (addit_options.innerHTML=='')
                                    addit_options.innerHTML='" . $res['name'] . "=" . $res['def'] . "';
				else
                                    addit_options.innerHTML=addit_options.innerHTML+'\\n" . $res['name'] . "=" . $res['def'] . "';
			</script>";
            }
        }
    }
}

$config_values = array();

echo ("<form class='extensions_form' name='casform' id='casform' action='misc/cas_submit.php?opt=" . $_GET['opt'] . "' method='POST'>
			<table class='contenttoc'>
			<tr>
			<td><b>" . PSTN_NAME_DIS . ":</b>&nbsp;</td>
			<td>&nbsp;<input type='text' name='group' value='" . $_GET['gr'] . "' onmouseover=\"Tip('" . CAS_GROUP_NAME . "');\" onmouseout='UnTip();'></td>
			</tr>
			<tr>
			<td valign='top' style='padding-top:5px;'><b>" . PSTN_PORTS_DIS . ":</b>&nbsp;</td>
			<td style='width:380px !important;'>
                            <div class='clear'></div>
                            <div style='float:left;'>
                                <div>".title($ba,$_GET['gr'],0)."</div>
                                <div>".ports($ba,$_GET['gr'],0)."</div>
                            </div>
                            <div style='float:right;'>
                                <div>".title($ba,$_GET['gr'],1)."</div>
                                <div>".ports($ba,$_GET['gr'],1)."</div>
                            </div>
                            <div class='clear'/>
			</td>
			</tr>
			<td><b>" . PSTN_TONES_DIS . ":</b></td>
			<td>" . tones($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_T1SIGTYPE_DIS . ":</b></td><td>" . t1sigtype($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_E1SIGTYPE_DIS . ":</b></td><td>" . e1sigtype($ba, $_GET['gr']) . "</td>
			</tr>
                        <tr id='interdigit_timeout_initial_tr'>
			<td><b>" . PSTN_OVERLAPDIAL_TIMEOUT_EMPTY_DAD_DIS . ":</b></td><td>" . interdigit_timeout_initial($ba, $_GET['gr']) . "</td>
			</tr>
			<tr id='interdigit_timeout_tr'>
			<td><b>" . PSTN_ODT_DIS . ":</b></td>
			<td>" . interdigit_timeout($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_OVERLAPDIALING . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_OVERLAP_DIALING_DIS . ":</b></td>
			<td>" . overlap_dialing($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ANALOG_CLIP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CLIP_DIS . ":</b></td>
			<td>" . clip($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ANALOG_CNIP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CNIP_DIS . ":</b></td>
			<td>" . cnip($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . PSTN_CHANSEL . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CHANSEL_DIS . ":</b></td><td>" . chansel($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_CHANSEL_DIR_DIS . ":</b></td><td>" . chansel_dir($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_DIALTONE_DIGITS_DIR_DIS . ":</b></td><td>" . dialtone_digits($ba, $_GET['gr']) . "</td>
			</tr>
                        <tr>
			<td><b>" . PSTN_WAIT_FOR_OAD_DIS . ":</b></td>
			<td>" . wait_for_oad($ba, $_GET['gr']) . "</td>
			</tr>
                        <tr>
			<td><b>" . PSTN_PCMLAW_DIS . ":</b></td>
			<td>" . pcmlaw($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_FXO_WAIT_FOR_OAD_DIS . ":</b></td>
			<td>" . fxo_wait_for_oad($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_FXO_CALLERID_DETECTION_TIMEOUT_DIS . ":</b></td>
			<td>" . fxo_callerid_detection_timeout($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_FXO_CALL_ENDING_SIGNAL_DIS . ":</b></td>
			<td>" . fxo_call_ending_signal($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_FXO_CID_DETECTION_MODE_DIS . ":</b></td>
			<td>" . fxo_cid_detection_mode($ba, $_GET['gr']) . "</td>
			</tr>");
echo ("<tr>
			<td align='center' colspan='2'><a href='#' onclick='show_config();'>" . PSTN_MORE_DIS . "...</a></td>
			</tr>
			</table>
			<br/>
			<table class='contenttoc' id='configt'><tr><td colspan='2' align='center'><b>" . DIALPLAN_CONFIGURATION_DIS . "</b></td></tr>");
					
echo ("<tr>
					<td colspan='2'>&nbsp;</td>
				</tr>
				<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><b>" . DIALPLAN_ADDITIONAL_CONFIG_DIS . "</b></td>
					</tr>
					<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><textarea name='addit_options' id='addit_options' rows='4' style='width:305px;'></textarea></td>
					</tr>
					<tr>
						<td colspan='2'>
						<br>
						<b>" . DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS . "</b>
						</td>
					</tr>
					<tr>
						<td colspan='2'>
						<p id='extra_tooltip' style='height: 150px; text-align:left; width:305px; overflow: auto; border: 1px solid #A31D26; background: none repeat scroll 0% 0% rgb(238, 238, 238); color: rgb(0, 0, 0);'>
						</td>
					</tr>
			</table>");
if (isset($_GET['gr'])) {
    showdefmc($config_values);
} else {
    show_confadd($config_values);
}
echo ("<br/>
			<input type='hidden' name='gr_upd' value='" . $_GET['gr'] . "'>
			<div class='center'><input name='submit' type='submit' value='" . BUTTON_SAVE . "' onmouseover=\"Tip('" . CAS_SAVE . "');\" onmouseout='UnTip();'>
			 &nbsp;&nbsp;<input name='close' type='button' value='" . BUTTON_CLOSE . "' onclick='javascript:$(\"#dialog\").dialog(\"close\");' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "');\" onmouseout='UnTip();'>
			</div></form>");


?>


